/** @file
 * $Source: /home/cvsmanager/yoda/event/AlgorithmInfo.cpp,v $
 * $Id: AlgorithmInfo.cpp,v 4.4 2005/05/28 10:44:08 kusanagi Exp $
 * $Author: kusanagi $
 * 
 * Implementation of the default functions of the Algorithm class.
 */
extern "C" {
#include <string.h>
}

#include "Algorithm.h"
#include "AlgorithmInfo.h"

using namespace pamela;

AlgorithmInfo::AlgorithmInfo(void) {
}

AlgorithmInfo::AlgorithmInfo(const Algorithm* algo) :
  AlgorithmName(algo->GetAlgorithmName().c_str()),
  AlgorithmClass(algo->GetName()),
  VersionInfo(algo->GetVersionInfo().c_str()) {
}
  
AlgorithmInfo::~AlgorithmInfo() {
}


ClassImp(AlgorithmInfo)
